=== modified file 'buildmailman.py'
--- buildmailman.py	2011-12-29 05:29:36 +0000
+++ buildmailman.py	2012-01-01 03:20:03 +0000
@@ -3,20 +3,24 @@
 # Copyright 2009, 2010 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
+import errno
+import grp
 import os
-import grp
 import pwd
+import socket
+import subprocess
 import sys
-import errno
-import socket
 import tempfile
-import subprocess
+
+from lazr.config import as_username_groupname
 
 from lp.services.config import config
 from lp.services.mailman.config import (
-    configure_prefix, configure_siteowner)
+    configure_prefix,
+    configure_siteowner,
+    )
 from lp.services.mailman.monkeypatches import monkey_patch
-from lazr.config import as_username_groupname
+
 
 basepath = [part for part in sys.path if part]
 

=== modified file 'bzrplugins/lpserve/test_lpserve.py'
--- bzrplugins/lpserve/test_lpserve.py	2011-12-29 05:29:36 +0000
+++ bzrplugins/lpserve/test_lpserve.py	2012-01-01 03:20:03 +0000
@@ -20,11 +20,11 @@
 from bzrlib.plugins import lpserve
 from testtools import content
 
-from lp.services.config import config
 from lp.codehosting import (
     get_bzr_path,
     get_BZR_PLUGIN_PATH_for_subprocess,
     )
+from lp.services.config import config
 from lp.testing.fakemethod import FakeMethod
 
 

=== modified file 'database/replication/sync.py'
--- database/replication/sync.py	2011-12-21 20:23:01 +0000
+++ database/replication/sync.py	2012-01-01 03:20:03 +0000
@@ -12,9 +12,13 @@
 
 from optparse import OptionParser
 
-from lp.services.scripts import logger_options, db_options
+from lp.services.scripts import (
+    db_options,
+    logger_options,
+    )
 from replication.helpers import sync
 
+
 if __name__ == '__main__':
     parser = OptionParser()
     parser.add_option(

=== modified file 'database/schema/diagram.py'
--- database/schema/diagram.py	2010-05-19 18:07:56 +0000
+++ database/schema/diagram.py	2012-01-01 03:20:03 +0000
@@ -8,9 +8,21 @@
 # pylint: disable-msg=W0403
 import _pythonpath
 
-import psycopg, sys, os, re
-from security import DbSchema, CursorWrapper
-from ConfigParser import SafeConfigParser, NoOptionError
+from ConfigParser import (
+    NoOptionError,
+    SafeConfigParser,
+    )
+import os
+import re
+import sys
+
+import psycopg
+
+from security import (
+    CursorWrapper,
+    DbSchema,
+    )
+
 
 sys.path.insert(0, os.path.join(
     os.path.dirname(__file__), os.pardir, os.pardir, 'lib'

=== modified file 'database/schema/full-update.py'
--- database/schema/full-update.py	2011-12-21 20:23:01 +0000
+++ database/schema/full-update.py	2012-01-01 03:20:03 +0000
@@ -16,7 +16,6 @@
     logger,
     logger_options,
     )
-
 from preflight import (
     KillConnectionsPreflight,
     NoConnectionCheckPreflight,

=== modified file 'database/schema/online_fti_updater.py'
--- database/schema/online_fti_updater.py	2010-05-19 18:07:56 +0000
+++ database/schema/online_fti_updater.py	2012-01-01 03:20:03 +0000
@@ -12,8 +12,10 @@
 # pylint: disable-msg=W0403
 import _pythonpath
 
+import psycopg
+
 from fti import ALL_FTI
-import psycopg
+
 
 def main():
     con = psycopg.connect("dbname=launchpad_prod user=postgres")

=== modified file 'database/schema/pending/add-mailing-list-experts.py'
--- database/schema/pending/add-mailing-list-experts.py	2011-12-21 20:23:01 +0000
+++ database/schema/pending/add-mailing-list-experts.py	2012-01-01 03:20:03 +0000
@@ -9,13 +9,13 @@
 
 from zope.component import getUtility
 
+from canonical.lp import initZopeless
 from lp.app.interfaces.launchpad import ILaunchpadCelebrities
-from lp.services.scripts import execute_zcml_for_scripts
-from canonical.lp import initZopeless
 from lp.registry.interfaces.person import (
     IPersonSet,
     TeamSubscriptionPolicy,
     )
+from lp.services.scripts import execute_zcml_for_scripts
 
 
 execute_zcml_for_scripts()

=== modified file 'database/schema/pending/gnu-savannah-celebrity.py'
--- database/schema/pending/gnu-savannah-celebrity.py	2011-12-21 20:23:01 +0000
+++ database/schema/pending/gnu-savannah-celebrity.py	2012-01-01 03:20:03 +0000
@@ -13,8 +13,6 @@
 
 from zope.component import getUtility
 
-
-from lp.services.scripts import execute_zcml_for_scripts
 from canonical.lp import initZopeless
 from lp.app.interfaces.launchpad import ILaunchpadCelebrities
 from lp.bugs.interfaces.bugtracker import (
@@ -23,6 +21,7 @@
     IBugTrackerSet,
     )
 from lp.bugs.model.bugtracker import BugTrackerAlias
+from lp.services.scripts import execute_zcml_for_scripts
 
 
 execute_zcml_for_scripts()

=== modified file 'test_on_merge.py'
--- test_on_merge.py	2010-09-28 12:37:55 +0000
+++ test_on_merge.py	2012-01-01 03:20:03 +0000
@@ -6,15 +6,26 @@
 """Tests that get run automatically on a merge."""
 import _pythonpath
 
-import sys, time
-import os, errno
+import errno
+import os
+import select
+from signal import (
+    SIGHUP,
+    SIGINT,
+    SIGKILL,
+    SIGTERM,
+    )
+from StringIO import StringIO
+from subprocess import (
+    PIPE,
+    Popen,
+    STDOUT,
+    )
+import sys
 import tabnanny
-from StringIO import StringIO
+import time
+
 import psycopg2
-from subprocess import Popen, PIPE, STDOUT
-from signal import SIGKILL, SIGTERM, SIGINT, SIGHUP
-import select
-
 
 # The TIMEOUT setting (expressed in seconds) affects how long a test will run
 # before it is deemed to be hung, and then appropriately terminated.

=== modified file 'utilities/format-imports'
--- utilities/format-imports	2012-01-01 02:59:51 +0000
+++ utilities/format-imports	2012-01-01 03:20:03 +0000
@@ -289,7 +289,7 @@
 LOCAL_PACKAGES = (
     'canonical', 'lp', 'launchpad_loggerhead', 'devscripts',
     # database/* have some implicit relative imports.
-    'fti', 'replication', 'upgrade',
+    'fti', 'replication', 'preflight', 'security', 'upgrade',
     )
 
 def format_imports(imports):

